PRO fastphot_test

;test for FASTPHOT

print, 'FASTPHOT test program'

print, 'Load fastphot_test.save'

restore, 'fastphot_test.save'

print, 'Make the fit of a simu...'

subdimx = 100
subdimy = 100
recovx = 50
recovy = 50
map_clean = 1

fastphot_area, map, psf, noise_map, subdimx, subdimy, recovx, recovy, Xs, Ys, f2, map_clean = map_clean

tvscl, map_clean
print, 'You should see only noise on the residual map.'

print, 'Check the results...'

if total((f-f2)^2) lt 0.01 then print, 'FASTPHOT works well!!!' else print, 'Houston, we have a problem!'

stop

END
